Bug 226758 - AX: TestWebKitAPI.WebKit.AccessibilityReduceMotion failing on iOS
Summary: AX: TestWebKitAPI.WebKit.AccessibilityReduceMotion failing on iOS
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: chris fleizach
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-06-07 22:46 PDT by chris fleizach
Modified: 2021-06-10 21:02 PDT (History)
6 users (show)

See Also:


Attachments
patch (12.46 KB, patch)
2021-06-07 23:58 PDT, chris fleizach
no flags Details | Formatted Diff | Diff
patch (12.47 KB, patch)
2021-06-08 00:03 PDT, chris fleizach
achristensen: review-
Details | Formatted Diff | Diff
patch (13.62 KB, patch)
2021-06-09 13:52 PDT, chris fleizach
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
patch (13.64 KB, patch)
2021-06-09 15:11 PDT, chris fleizach
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
patch for landing (13.72 KB, patch)
2021-06-10 16:00 PDT, chris fleizach
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description chris fleizach 2021-06-07 22:46:36 PDT
TestWebKitAPI.WebKit.AccessibilityReduceMotion is failing on iOS14
Comment 1 Radar WebKit Bug Importer 2021-06-07 22:46:46 PDT
<rdar://problem/78984253>
Comment 2 chris fleizach 2021-06-07 23:58:52 PDT
Created attachment 430815 [details]
patch
Comment 3 chris fleizach 2021-06-08 00:03:13 PDT
Created attachment 430816 [details]
patch
Comment 4 Alex Christensen 2021-06-08 18:51:59 PDT
Comment on attachment 430816 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=430816&action=review

> Source/WebKit/WebProcess/cocoa/WebProcessCocoa.mm:1146
> +#if PLATFORM(IOS_FAMILY)

This should probably be wrapped by a !HAVE(UPDATE_WEB_ACCESSIBILITY_SETTINGS) so we know when we can remove it.  Define HAVE_UPDATE_WEB_ACCESSIBILITY_SETTINGS in PlatformHave.h
Comment 5 chris fleizach 2021-06-09 13:52:20 PDT
Created attachment 431008 [details]
patch
Comment 6 chris fleizach 2021-06-09 15:11:21 PDT
Created attachment 431016 [details]
patch
Comment 7 Alex Christensen 2021-06-10 12:15:46 PDT
Comment on attachment 431016 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=431016&action=review

> Source/WTF/wtf/PlatformHave.h:995
> +#define UPDATE_WEB_ACCESSIBILITY_SETTINGS 1

#define HAVE_UPDATE_WEB_ACCESSIBILITY_SETTINGS 1

> Source/WebKit/WebProcess/cocoa/WebProcessCocoa.mm:1082
> +#if PLATFORM(IOS_FAMILY)

&& !(HAVE(UPDATE_WEB_ACCESSIBILITY_SETTINGS) && ENABLE(CFPREFS_DIRECT_MODE))
Comment 8 chris fleizach 2021-06-10 16:00:01 PDT
Created attachment 431153 [details]
patch for landing
Comment 9 Ryan Haddad 2021-06-10 16:10:58 PDT
Comment on attachment 431016 [details]
patch

Clearing flags on attachment: 431016

Committed r278736 (238698@main): <https://commits.webkit.org/238698@main>
Comment 10 Ryan Haddad 2021-06-10 16:11:01 PDT
All reviewed patches have been landed.  Closing bug.